Bug 165178 - tomcat5: the service doesn't have a status option
tomcat5: the service doesn't have a status option
Status: NEW
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 18:13 EDT by Todd Warner
Modified: 2008-05-01 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2005-08-04 18:13:16 EDT
service tomcat5 status doesn't work...

[root@rlx-3-24 satellite-upgrade-4.0]# service tomcat5 status
Usage: tomcat5 {start|stop|restart|condrestart}

That's very wrong. It should tell you that is it running at least.

Also, in the case that tomcat5 is already shut down, there is no [FAILED]
message:
[root@rlx-3-24 satellite-upgrade-4.0]# service tomcat5 stop
Stopping tomcat5: [root@rlx-3-24 satellite-upgrade-4.0]#

That's wrong.

This is tomcat5-5.0.27-2jpp_1rh, but apparently this is true for the latest as well.
Comment 1 Vadim Nasardinov 2005-08-05 09:53:43 EDT
Changed the product from 
  "Red Hat Web Application Framework"

to
  "Red Hat Application Server"
Comment 2 Vadim Nasardinov 2005-08-05 09:57:29 EDT
Reassigned from ccm-bugs-list@redhat.com to rafaels@redhat.com.
Comment 3 Todd Warner 2005-08-11 15:57:44 EDT
And a typo in the services script...

[root@rhnjava ~]# service tomcat5 start
Starting tomcat5: process allready running

It should be "already" not "allready"
heh.

Note You need to log in before you can comment on or make changes to this bug.